Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3438 - cron mail sez' "cannot determine run level"
Summary: cron mail sez' "cannot determine run level"
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: crontabs
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-13 21:53 UTC by Jaroslaw Sosnicki
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-04-10 22:00:47 UTC


Attachments (Terms of Use)

Description Jaroslaw Sosnicki 1999-06-13 21:53:31 UTC
I am getting this root email generated by cron with message
"Can not determine run level"

Comment 1 Jeff Johnson 1999-06-14 14:28:59 UTC
If typing "runlevel" gives the response "unknown", then check
/var/run/utmp* (which is where the current runlevel is stored. You'll
probably see a 0 length (or non-existent) file.

I've seen this behavior with initscripts-4.19 in Raw Hide. Reverting
to the 6.0 initscripts-4.16 fixed my prblem.

Comment 2 Bill Nottingham 1999-06-14 16:59:59 UTC
The initscripts-4.19 (and possibly 4.17, 4.18) problem is
fixed in initscripts-4.20; /var/run/utmp was getting removed
as soon as it was created (oops). Do you have a /var/run/utmp
or /var/run/utmpx?

Comment 3 Jaroslaw Sosnicki 1999-08-28 01:22:59 UTC
Yes I have /var/run/utmp. Since I reported this bug I have upgradet to
initscripts-4.32-2

Thanks for fixing it.


Note You need to log in before you can comment on or make changes to this bug.